Deployment Issue(works locally

Having an issue deploying and not really sure why, getting an error message that I have tried Googling but dont get any good answers that look like they apply to my issue. The site does build and load locally just fine.

Error Log:

10:27:01 AM: Build ready to start
10:27:03 AM: build-image version: ca811f47d4c1cbd1812d1eb6ecb0c977e86d1a1d
10:27:03 AM: build-image tag: v3.3.20
10:27:03 AM: buildbot version: 0ee111aa6b75403f01f5d27b0a6736d30a2da28c
10:27:03 AM: Fetching cached dependencies
10:27:03 AM: Starting to download cache of 254.8KB
10:27:03 AM: Finished downloading cache in 66.262361ms
10:27:03 AM: Starting to extract cache
10:27:03 AM: Failed to fetch cache, continuing with build
10:27:03 AM: Starting to prepare the repo for build
10:27:04 AM: No cached dependencies found. Cloning fresh repo
10:27:04 AM: git clone https://github.com/patmack14/jamstack
10:27:04 AM: Preparing Git Reference refs/heads/master
10:27:05 AM: Different publish path detected, going to use the one specified in the Netlify configuration file: ‘public’ versus ‘public/’ in the Netlify UI
10:27:05 AM: Starting build script
10:27:05 AM: Installing dependencies
10:27:05 AM: Python version set to 2.7
10:27:06 AM: Attempting node version ‘v12.6.0’ from .nvmrc
10:27:06 AM: Downloading and installing node v12.6.0…
10:27:07 AM: Downloading https://nodejs.org/dist/v12.6.0/node-v12.6.0-linux-x64.tar.xz
10:27:07 AM: Computing checksum with sha256sum
10:27:07 AM: Checksums matched!
10:27:10 AM: Now using node v12.6.0 (npm v6.9.0)
10:27:10 AM: Started restoring cached build plugins
10:27:10 AM: Finished restoring cached build plugins
10:27:10 AM: Attempting ruby version 2.7.1, read from environment
10:27:11 AM: Using ruby version 2.7.1
10:27:11 AM: Using PHP version 5.6
10:27:11 AM: 5.2 is already installed.
10:27:11 AM: Using Swift version 5.2
10:27:11 AM: Started restoring cached node modules
10:27:11 AM: Finished restoring cached node modules
10:27:11 AM: Started restoring cached yarn cache
10:27:11 AM: Finished restoring cached yarn cache
10:27:11 AM: Installing yarn at version 1.22.4
10:27:11 AM: Installing Yarn!
10:27:11 AM: > Downloading tarball…
10:27:11 AM: [1/2]: https://yarnpkg.com/downloads/1.22.4/yarn-v1.22.4.tar.gz --> /tmp/yarn.tar.gz.Vnj6MIYrdO
10:27:11 AM: % Total % Received % Xferd Average Speed Time Time Time Current
10:27:11 AM: Dload Upload Total Spent Left Speed
10:27:12 AM: 0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0
10:27:12 AM: 100 80 100 80 0 0 211 0 --:–:-- --:–:-- --:–:-- 211
10:27:12 AM: 0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0
10:27:12 AM: 100 93 100 93 0 0 133 0 --:–:-- --:–:-- --:–:-- 1754
10:27:12 AM: 100 630 100 630 0 0 632 0 --:–:-- --:–:-- --:–:-- 632
10:27:13 AM: 100 1215k 100 1215k 0 0 843k 0 0:00:01 0:00:01 --:–:-- 843k
10:27:13 AM: [2/2]: https://yarnpkg.com/downloads/1.22.4/yarn-v1.22.4.tar.gz.asc --> /tmp/yarn.tar.gz.Vnj6MIYrdO.asc
10:27:13 AM: 100 84 100 84 0 0 2206 0 --:–:-- --:–:-- --:–:-- 2206
10:27:13 AM: 100 97 100 97 0 0 1452 0 --:–:-- --:–:-- --:–:-- 1452
10:27:13 AM: 100 634 100 634 0 0 6407 0 --:–:-- --:–:-- --:–:-- 6407
10:27:13 AM: 100 1028 100 1028 0 0 7441 0 --:–:-- --:–:-- --:–:-- 7441
10:27:13 AM: > Verifying integrity…
10:27:13 AM: gpg: Signature made Mon 09 Mar 2020 03:52:13 PM UTC using RSA key ID 69475BAA
10:27:13 AM: gpg: Good signature from “Yarn Packaging yarn@dan.cx
10:27:13 AM: gpg: WARNING: This key is not certified with a trusted signature!
10:27:13 AM: gpg: There is no indication that the signature belongs to the owner.
10:27:13 AM: Primary key fingerprint: 72EC F46A 56B4 AD39 C907 BBB7 1646 B01B 86E5 0310
10:27:13 AM: Subkey fingerprint: 6D98 490C 6F1A CDDD 448E 4595 4F77 6793 6947 5BAA
10:27:13 AM: > GPG signature looks good
10:27:13 AM: > Extracting to ~/.yarn…
10:27:13 AM: > Adding to PATH... 10:27:14 AM: > Successfully installed Yarn 1.22.4! Please open another terminal where the `yarn` command will now be available. 10:27:14 AM: Installing NPM modules using Yarn version 1.22.4 10:27:14 AM: yarn install v1.22.4 10:27:15 AM: warning package-lock.json found. Your project contains lock files generated by tools other than Yarn. It is advised not to mix package managers in order to avoid resolution inconsistencies caused by unsynchronized lock files. To clear this warning, remove package-lock.json. 10:27:15 AM: [1/4] Resolving packages... 10:27:15 AM: [2/4] Fetching packages... 10:27:21 AM: warning url-loader@1.1.2: Invalid bin field for "url-loader". 10:27:40 AM: info fsevents@2.1.3: The platform "linux" is incompatible with this module. 10:27:40 AM: info "fsevents@2.1.3" is an optional dependency and failed compatibility check. Excluding it from installation. 10:27:40 AM: info fsevents@1.2.13: The platform "linux" is incompatible with this module. 10:27:40 AM: info "fsevents@1.2.13" is an optional dependency and failed compatibility check. Excluding it from installation. 10:27:40 AM: [3/4] Linking dependencies... 10:27:40 AM: warning "gatsby > @pmmmwh/react-refresh-webpack-plugin@0.3.3" has incorrect peer dependency "react-refresh@^0.8.2". 10:27:53 AM: [4/4] Building fresh packages... 10:27:55 AM: Done in 40.77s. 10:27:55 AM: NPM modules installed using Yarn 10:27:56 AM: Started restoring cached go cache 10:27:56 AM: Finished restoring cached go cache 10:27:56 AM: go version go1.14.4 linux/amd64 10:27:56 AM: go version go1.14.4 linux/amd64 10:27:56 AM: Installing missing commands 10:27:56 AM: Verify run directory 10:27:57 AM: ​ 10:27:57 AM: ┌─────────────────────────────┐ 10:27:57 AM: │ Netlify Build │ 10:27:57 AM: └─────────────────────────────┘ 10:27:57 AM: ​ 10:27:57 AM: ❯ Version 10:27:57 AM: @netlify/build 3.1.5 10:27:57 AM: ​ 10:27:57 AM: ❯ Flags 10:27:57 AM: deployId: 5f297e45493fdb81ade3e463 10:27:57 AM: mode: buildbot 10:27:57 AM: timersFile: /tmp/substage_times.txt 10:27:57 AM: ​ 10:27:57 AM: ❯ Current directory 10:27:57 AM: /opt/build/repo 10:27:57 AM: ​ 10:27:57 AM: ❯ Config file 10:27:57 AM: No config file was defined: using default values. 10:27:57 AM: ​ 10:27:57 AM: ❯ Context 10:27:57 AM: production 10:27:57 AM: ​ 10:27:57 AM: ┌───────────────────────────────────┐ 10:27:57 AM: │ 1. Build command from Netlify app │ 10:27:57 AM: └───────────────────────────────────┘ 10:27:57 AM: ​ 10:27:57 AM: gatsby
10:27:58 AM: error Usage: gatsby [options]
10:27:58 AM: Commands:
10:27:58 AM: gatsby develop Start development server. Watches files, rebuilds, and hot reloads if something changes
10:27:58 AM: gatsby build Build a Gatsby project.
10:27:58 AM: gatsby serve Serve previously built Gatsby site.
10:27:58 AM: gatsby info Get environment information for debugging and issue reporting
10:27:58 AM: gatsby clean Wipe the local gatsby environment including built assets and cache
10:27:58 AM: gatsby repl Get a node repl with context of Gatsby environment, see (https://www.gatsbyjs.org/docs/gatsby-repl/)
10:27:58 AM: gatsby recipes [recipe] [EXPERIMENTAL] Run a recipe
10:27:58 AM: gatsby new [rootPath] [starter] Create new Gatsby project.
10:27:58 AM: gatsby plugin Useful commands relating to Gatsby plugins
10:27:58 AM: gatsby telemetry Enable or disable Gatsby anonymous analytics collection.
10:27:58 AM: Options:
10:27:58 AM: --verbose Turn on verbose output [boolean] [default: false]
10:27:58 AM: --no-color, --no-colors Turn off the color in output [boolean] [default: false]
10:27:58 AM: --json Turn on the JSON logger [boolean] [default: false]
10:27:58 AM: -h, --help Show help [boolean]
10:27:58 AM: -v, --version Show the version of the Gatsby CLI and the Gatsby package in the current project [boolean]
10:27:58 AM: error There was an error
10:27:58 AM: error Pass --help to see all available commands and options.
10:27:58 AM: ​
10:27:58 AM: ┌─────────────────────────────┐
10:27:58 AM: │ “build.command” failed │
10:27:58 AM: └─────────────────────────────┘
10:27:58 AM: ​
10:27:58 AM: Error message
10:27:58 AM: Command failed with exit code 1: gatsby
10:27:58 AM: ​
10:27:58 AM: Error location
10:27:58 AM: In Build command from Netlify app:
10:27:58 AM: gatsby
10:27:58 AM: ​
10:27:58 AM: Resolved config
10:27:58 AM: build:
10:27:58 AM: command: gatsby
10:27:58 AM: commandOrigin: ui
10:27:58 AM: environment:
10:27:58 AM: - butter
10:27:58 AM: publish: /opt/build/repo/public
10:27:58 AM: Caching artifacts
10:27:58 AM: Started saving node modules
10:27:58 AM: Finished saving node modules
10:27:58 AM: Started saving build plugins
10:27:58 AM: Finished saving build plugins
10:27:58 AM: Started saving yarn cache
10:27:58 AM: Finished saving yarn cache
10:27:58 AM: Started saving pip cache
10:27:58 AM: Finished saving pip cache
10:27:58 AM: Started saving emacs cask dependencies
10:27:59 AM: Finished saving emacs cask dependencies
10:27:59 AM: Started saving maven dependencies
10:27:59 AM: Finished saving maven dependencies
10:27:59 AM: Started saving boot dependencies
10:27:59 AM: Finished saving boot dependencies
10:27:59 AM: Started saving go dependencies
10:27:59 AM: Finished saving go dependencies
10:28:02 AM: Error running command: Build script returned non-zero exit code: 1
10:28:02 AM: Failing build: Failed to build site
10:28:02 AM: Failed during stage ‘building site’: Build script returned non-zero exit code: 1
10:28:02 AM: Finished processing build request in 59.106681642s

hey there, so the problem is in the command you are trying to run gatsby. Seems like you need to run that with a parameter of some kind. probably gatsby build. Try that instead?